%define py_setup setup.py
Summary:	Mako template library for Python
Name:		python-mako
Version:	1.2.2
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:		https://www.makotemplates.org/
Source0:	https://files.pythonhosted.org/packages/source/M/Mako/Mako-%{version}.tar.gz
BuildArch:	noarch

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%package -n python3-mako
Group:		Development/Python
Summary:	Mako template library for Python 3
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(nose)
BuildRequires:	python3dist(beaker)
BuildRequires:	python3dist(markupsafe)
BuildRequires:	python3dist(mock)
BuildRequires:	python3dist(pytest)
Requires:	python3dist(beaker)
Requires:	python3dist(markupsafe)
%{?python_provide:%python_provide python3-mako}
Obsoletes:      python2-mako < 1.1.0

%description -n python3-mako
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -q -n Mako-%{version}

%build
%py3_build

%install
%py3_install

rm -rf doc/build

%check
PYTHONPATH=$(pwd) nosetests

%files -n python3-mako
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{python3_sitelib}/*



%changelog
* Thu Sep 22 2022 papoteur <papoteur> 1.2.2-1.mga8
+ Revision: 1891587
- new 1.2.2 - CVE-2022-40023 - mga#30878

* Wed Sep 09 2020 guillomovitch <guillomovitch> 1.1.3-1.mga8
+ Revision: 1623946
- new version 1.1.3

* Wed Feb 19 2020 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1543872
- new version: 1.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1532115
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.1.0-3.mga8
+ Revision: 1441632
- rebuild for python3.8

* Wed Sep 04 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1437150
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.1.0-1.mga8
+ Revision: 1436802
- new version 1.1.0
- drop python2 support
- rebuild for python3.8

* Fri Apr 19 2019 wally <wally> 1.0.9-1.mga7
+ Revision: 1393534
- new version 1.0.9

* Sat Jan 05 2019 wally <wally> 1.0.7-5.mga7
+ Revision: 1349278
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.7-4.mga7
+ Revision: 1289181
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 kekepower <kekepower> 1.0.7-3.mga7
+ Revision: 1222685
- Bump rel to fix no signature in package

* Thu Apr 26 2018 kekepower <kekepower> 1.0.7-2.mga7
+ Revision: 1222538
- Rename python-mako to python2-mako
- Update BRs
- Use python_provide

* Fri Aug 04 2017 philippem <philippem> 1.0.7-1.mga7
+ Revision: 1134922
- update to 1.0.7, rebuild for Python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 1.0.3-1.mga6
+ Revision: 905831
- update to 1.0.3

* Fri Oct 09 2015 shlomif <shlomif> 1.0.2-1.mga6
+ Revision: 888358
- New version 1.0.2 + Rebuild for new Python3 3.5.x
+ tv <tv>
- new release
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 746528
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 728997
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 688138
- Mageia 5 Mass Rebuild

* Fri Jun 20 2014 philippem <philippem> 1.0.0-1.mga5
+ Revision: 638212
- update to 1.0.0

* Tue Jun 03 2014 philippem <philippem> 0.9.1-1.mga5
+ Revision: 632644
- update to 0.9.1
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 543640
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.0-2.mga4
+ Revision: 498886
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- Update to 0.9.0

* Thu Jul 04 2013 philippem <philippem> 0.8.1-1.mga4
+ Revision: 450111
- Update to 0.8.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 379102
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.7.2-1.mga3
+ Revision: 290065
- New upstream release 0.7.2

* Fri Feb 03 2012 philippem <philippem> 0.6.2-1.mga2
+ Revision: 204253
- Update to 0.6.2.

* Wed Jan 25 2012 philippem <philippem> 0.6.0-1.mga2
+ Revision: 201214
- Update to 0.6.0.

* Mon Oct 24 2011 philippem <philippem> 0.5.0-1.mga2
+ Revision: 157699
- new upstream

* Fri Mar 25 2011 ahmad <ahmad> 0.4.0-1.mga1
+ Revision: 77389
- update to 0.4.0

* Mon Feb 21 2011 ahmad <ahmad> 0.3.6-3.mga1
+ Revision: 55173
- rebuild to make all pythonegg requires lowercase

* Sat Feb 05 2011 ahmad <ahmad> 0.3.6-2.mga1
+ Revision: 47054
- drop the buildroot tag
- replace "%%py_requires -d" with python-devel
- imported package python-mako


* Mon Nov 15 2010 Lev Givon <lev@mandriva.org> 0.3.6-1mdv2011.0
+ Revision: 597741
- Update to 0.3.6.

* Sun Oct 31 2010 John Balcaen <mikala@mandriva.org> 0.3.5-2mdv2011.0
+ Revision: 590960
- Rebuild for python 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.3.5-1mdv2011.0
+ Revision: 587007
- Update to 0.3.5.

* Tue Aug 17 2010 Michael Scherer <misc@mandriva.org> 0.3.4-2mdv2011.0
+ Revision: 570998
- add missing Requires

* Sun Jul 11 2010 Lev Givon <lev@mandriva.org> 0.3.4-1mdv2011.0
+ Revision: 551168
- Update to 0.3.4.
- Update to 0.3.3.

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.2-1mdv2010.1
+ Revision: 535572
- update to new version 0.3.2

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-2mdv2010.1
+ Revision: 523827
- rebuilt for 2010.1

* Wed Jan 27 2010 Frederik Himpe <fhimpe@mandriva.org> 0.2.5-1mdv2010.1
+ Revision: 497465
- update to new version 0.2.5

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.4-1mdv2010.0
+ Revision: 395019
- First Mandriva package based on Fedora's SPEC
- create python-mako

